Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1DUTILS.h	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1DUTILS.h	(revision 4727)
@@ -266,5 +266,5 @@
 !Config  Def  = 0.
 !Config  Help = 
-       tsurf = 0.
+       time_ini = 0.
        CALL getin('time_ini',time_ini)
 
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1D_decl_cases.h
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1D_decl_cases.h	(revision 4727)
@@ -1,3 +1,3 @@
-#include "netcdf.inc"
+        INCLUDE "netcdf.inc"
 
 ! Declarations specifiques au cas Toga
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1D_read_forc_cases.h
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1D_read_forc_cases.h	(revision 4727)
@@ -73,9 +73,17 @@
 
 ! initial and boundary conditions :
+      ! initial pressure
       psurf = ps_prof_cas
-      if (tskin_prof_cas .NE. 0.) THEN
+
+      !initial surface temperature
+      if (tskin_prof_cas .NE. 0.) then
+      ! we take the first value of the prescribed ts
           tsurf=tskin_prof_cas
+      else if (ts_prof_cas .NE. 0) then
+      ! if an initial ts value is present, we take it
+          tsurf=ts_prof_cas
       endif
 
+      ! ts forcing during the run (if any)
       tg = ts_prof_cas
       if ((tg .eq. 0.) .and. (tskin_prof_cas .NE. 0.)) THEN
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1Dconv.h
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1Dconv.h	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/1Dconv.h	(revision 4727)
@@ -13,5 +13,5 @@
 !cccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccccc
 
-#include "YOMCST.h"
+      INCLUDE "YOMCST.h"
 
       INTEGER klev
@@ -461,6 +461,6 @@
       implicit none
 
-#include "dimensions.h"
-!cccc#include "dimphy.h"
+      INCLUDE "dimensions.h"
+!cccc      INCLUDE "dimphy.h"
 
       integer k
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_amma_read.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_amma_read.F90	(revision 4727)
@@ -59,5 +59,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       INTEGER nid,rid,ierr
@@ -180,5 +180,5 @@
 !program reading forcings of the AMMA case study
       implicit none
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -407,5 +407,5 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
+        INCLUDE "compar1d.h"
 
 ! inputs:
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read.F90	(revision 4727)
@@ -90,5 +90,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       INTEGER nid,rid,ierr
@@ -267,5 +267,5 @@
 !program reading forcing of the case study
       implicit none
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -994,6 +994,6 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
-#include "date_cas.h"
+        INCLUDE "compar1d.h"
+        INCLUDE "date_cas.h"
 
 ! inputs:
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 4727)
@@ -81,5 +81,5 @@
     implicit none
 
-#include "netcdf.inc"
+    INCLUDE "netcdf.inc"
 
     INTEGER nid,rid,ierr
@@ -192,5 +192,5 @@
     implicit none
 
-#include "netcdf.inc"
+    INCLUDE "netcdf.inc"
 
     INTEGER nid,rid,ierr
@@ -240,5 +240,5 @@
     allocate(plev_cas(nlev_cas,nt_cas),plevh_cas(nlev_cas+1))        
     allocate(z_cas(nlev_cas,nt_cas),zh_cas(nlev_cas+1))
-    allocate(ap_cas(nlev_cas+1),bp_cas(nt_cas+1))
+    allocate(ap_cas(nlev_cas+1),bp_cas(nlev_cas+1))
     allocate(t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas),qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas), &
          qi_cas(nlev_cas,nt_cas),rh_cas(nlev_cas,nt_cas))
@@ -320,6 +320,6 @@
     implicit none
 
-#include "netcdf.inc"
-#include "date_cas.h"
+    INCLUDE "netcdf.inc"
+    INCLUDE "date_cas.h"
 
     INTEGER nid,rid,ierr
@@ -393,5 +393,5 @@
     allocate(plev_cas(nlev_cas,nt_cas),plevh_cas(nlev_cas+1))        
     allocate(z_cas(nlev_cas,nt_cas),zh_cas(nlev_cas+1))
-    allocate(ap_cas(nlev_cas+1),bp_cas(nt_cas+1))
+    allocate(ap_cas(nlev_cas+1),bp_cas(nlev_cas+1))
     allocate(t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas),qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas), &
          qi_cas(nlev_cas,nt_cas),rh_cas(nlev_cas,nt_cas))
@@ -543,5 +543,5 @@
   use netcdf, only: nf90_get_var
   implicit none
-#include "netcdf.inc"
+  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel
@@ -660,5 +660,5 @@
   use netcdf, only: nf90_get_var
   implicit none
-#include "netcdf.inc"
+  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel
@@ -831,5 +831,5 @@
   use netcdf, only: nf90_get_var
   implicit none
-#include "netcdf.inc"
+  INCLUDE "netcdf.inc"
 
   integer ntime,nlevel,k,t
@@ -1061,6 +1061,6 @@
   !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
-#include "date_cas.h"
+  INCLUDE "compar1d.h"
+  INCLUDE "date_cas.h"
 
   ! inputs:
@@ -1135,9 +1135,9 @@
   !       endif
   timeit=(day-day_ju_ini_cas)*86400
-  print *,'day=',day
-  print *,'day_ju_ini_cas=',day_ju_ini_cas
-  print *,'pdt_cas=',pdt_cas
-  print *,'timeit=',timeit
-  print *,'nt_cas=',nt_cas
+  !print *,'day=',day
+  !print *,'day_ju_ini_cas=',day_ju_ini_cas
+  !print *,'pdt_cas=',pdt_cas
+  !print *,'timeit=',timeit
+  !print *,'nt_cas=',nt_cas
 
   ! Determine the closest observation times:
@@ -1155,5 +1155,5 @@
   time_cas1=(it_cas1-1)*pdt_cas
   time_cas2=(it_cas2-1)*pdt_cas
-  print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
+  !print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
   if (it_cas1 .gt. nt_cas) then
@@ -1270,6 +1270,6 @@
   !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
-#include "date_cas.h"
+  INCLUDE "compar1d.h"
+  INCLUDE "date_cas.h"
 
   ! inputs:
@@ -1350,9 +1350,9 @@
   !       endif
   timeit=(day-day_ju_ini_cas)*86400
-  print *,'day=',day
-  print *,'day_ju_ini_cas=',day_ju_ini_cas
-  print *,'pdt_cas=',pdt_cas
-  print *,'timeit=',timeit
-  print *,'nt_cas=',nt_cas
+  !print *,'day=',day
+  !print *,'day_ju_ini_cas=',day_ju_ini_cas
+  !print *,'pdt_cas=',pdt_cas
+  !print *,'timeit=',timeit
+  !print *,'nt_cas=',nt_cas
 
   ! Determine the closest observation times:
@@ -1370,6 +1370,6 @@
   time_cas1=(it_cas1-1)*pdt_cas
   time_cas2=(it_cas2-1)*pdt_cas
-  print *,'timeit,pdt_cas,nt_cas=',timeit,pdt_cas,nt_cas
-  print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
+  !print *,'timeit,pdt_cas,nt_cas=',timeit,pdt_cas,nt_cas
+  !print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
   if (it_cas1 .gt. nt_cas) then 
@@ -1403,5 +1403,5 @@
      t_prof_cas(k) = t_cas(k,it_cas2)                                 &        
           -frac*(t_cas(k,it_cas2)-t_cas(k,it_cas1))
-     print *,'k,frac,plev_cas1,plev_cas2=',k,frac,plev_cas(k,it_cas1),plev_cas(k,it_cas2)
+     !print *,'k,frac,plev_cas1,plev_cas2=',k,frac,plev_cas(k,it_cas1),plev_cas(k,it_cas2)
      theta_prof_cas(k) = theta_cas(k,it_cas2)                         &                      
           -frac*(theta_cas(k,it_cas2)-theta_cas(k,it_cas1))
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 4727)
@@ -90,6 +90,6 @@
     implicit none
 
-#include "netcdf.inc"
-#include "date_cas.h"
+    INCLUDE "netcdf.inc"
+    INCLUDE "date_cas.h"
 
     INTEGER nid,rid,ierr
@@ -163,5 +163,5 @@
     allocate(plev_cas(nlev_cas,nt_cas),plevh_cas(nlev_cas+1))        
     allocate(z_cas(nlev_cas,nt_cas),zh_cas(nlev_cas+1))
-    allocate(ap_cas(nlev_cas+1),bp_cas(nt_cas+1))
+    allocate(ap_cas(nlev_cas+1),bp_cas(nlev_cas+1))
     allocate(t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas),qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas), &
          qi_cas(nlev_cas,nt_cas),rh_cas(nlev_cas,nt_cas))
@@ -331,6 +331,6 @@
     use netcdf, only: nf90_get_var
     implicit none
-#include "netcdf.inc"
-#include "compar1d.h"
+    INCLUDE "netcdf.inc"
+    INCLUDE "compar1d.h"
 
     integer ntime,nlevel,k,t
@@ -671,6 +671,6 @@
     !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
-#include "date_cas.h"
+    INCLUDE "compar1d.h"
+    INCLUDE "date_cas.h"
 
     ! inputs:
@@ -934,6 +934,6 @@
     implicit none
 
-#include "YOMCST.h"
-#include "dimensions.h"
+    INCLUDE "YOMCST.h"
+    INCLUDE "dimensions.h"
 
     !-------------------------------------------------------------------------
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_1DUTILS_read_interp.h	(revision 4727)
@@ -150,5 +150,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -495,5 +495,5 @@
 
          implicit none
-#include "netcdf.inc"
+         INCLUDE "netcdf.inc"
          integer nid,ttm,llm
          real*8 time(ttm)
@@ -545,5 +545,5 @@
        implicit none
 
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -659,5 +659,5 @@
        implicit none
 
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -781,5 +781,5 @@
 ! Read RICO forcing data 
 !-------------------------------------------------------------------------
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 
@@ -1057,5 +1057,5 @@
        implicit none
  
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -1179,5 +1179,5 @@
        implicit none
  
-#include "dimensions.h"
+       INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -1338,5 +1338,5 @@
        implicit none
  
-#include "dimensions.h"
+       INCLUDE "dimensions.h"
 
 !-------------------------------------------------------------------------
@@ -1561,5 +1561,5 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
+        INCLUDE "compar1d.h"
 
 ! inputs:
@@ -1703,5 +1703,5 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
+        INCLUDE "compar1d.h"
 
 ! inputs:
@@ -1816,5 +1816,5 @@
 !---------------------------------------------------------------------------------------
 
-#include "compar1d.h"
+        INCLUDE "compar1d.h"
 
 ! inputs:
@@ -2173,5 +2173,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel
@@ -2385,6 +2385,6 @@
       implicit none
 
-#include "netcdf.inc"
-#include "YOMCST.h"
+      INCLUDE "netcdf.inc"
+      INCLUDE "YOMCST.h"
 
       integer ntime,nlevel
@@ -2719,5 +2719,5 @@
       implicit none
 
-#include "netcdf.inc"
+      INCLUDE "netcdf.inc"
 
       integer ntime,nlevel,nsol
@@ -2960,5 +2960,5 @@
       
       parameter (ncm_1=49180)
-#include "YOMCST.h"
+      INCLUDE "YOMCST.h"
 
       real albsfc(ncm_1), albsfc_w(ncm_1)
@@ -3064,5 +3064,5 @@
       SUBROUTINE read_rtmip(nlev_rtmip,play,plev,t,h2o,o3)
       
-#include "YOMCST.h"
+      INCLUDE "YOMCST.h"
 
       real t(nlev_rtmip), pt(nlev_rtmip),pb(nlev_rtmip),h2o(nlev_rtmip), o3(nlev_rtmip)
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_1D_decl_cases.h
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_1D_decl_cases.h	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_1D_decl_cases.h	(revision 4727)
@@ -1,3 +1,3 @@
-#include "netcdf.inc"
+         INCLUDE "netcdf.inc"
 
 ! Declarations specifiques au cas Toga
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_lmdz1d.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/old_lmdz1d.F90	(revision 4727)
@@ -13,5 +13,5 @@
        ftsol, beta_aridity, pbl_tke, pctsrf, radsol, rain_fall, snow_fall, ratqs, &
        rnebcon, rugoro, sig1, w01, solaire_etat0, sollw, sollwdown, &
-       solsw, solswfdiff, t_ancien, q_ancien, u_ancien, v_ancien, &
+       solsw, solswfdiff, t_ancien, q_ancien, u_ancien, v_ancien, rneb_ancien, &
        wake_delta_pbl_TKE, delta_tsurf, wake_fip, wake_pe, &
        wake_deltaq, wake_deltat, wake_s, wake_dens, &
@@ -47,18 +47,18 @@
 
       implicit none
-#include "dimensions.h"
-#include "YOMCST.h"
-!!#include "control.h"
-#include "clesphys.h"
-#include "dimsoil.h"
-!#include "indicesol.h"
-
-#include "compar1d.h"
-#include "flux_arp.h"
-#include "date_cas.h"
-#include "tsoilnudge.h"
-#include "fcg_gcssold.h"
-!!!#include "fbforcing.h"
-#include "compbl.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "YOMCST.h"
+!!      INCLUDE "control.h"
+      INCLUDE "clesphys.h"
+      INCLUDE "dimsoil.h"
+!      INCLUDE "indicesol.h"
+
+      INCLUDE "compar1d.h"
+      INCLUDE "flux_arp.h"
+      INCLUDE "date_cas.h"
+      INCLUDE "tsoilnudge.h"
+      INCLUDE "fcg_gcssold.h"
+!!!      INCLUDE "fbforcing.h"
+      INCLUDE "compbl.h"
 
 !=====================================================================
@@ -163,5 +163,5 @@
 !=====================================================================
 !
-#include "old_1D_decl_cases.h"
+      INCLUDE "old_1D_decl_cases.h"
 !
 !---------------------------------------------------------------------
@@ -721,5 +721,5 @@
 !=====================================================================
 
-#include "old_1D_read_forc_cases.h"
+      INCLUDE "old_1D_read_forc_cases.h"
 
       if (forcing_GCM2SCM) then
@@ -920,4 +920,5 @@
         u_ancien(1,:)=u(:)
         v_ancien(1,:)=v(:)
+        rneb_ancien(1,:)=0.
 
         u10m=0.
@@ -945,4 +946,7 @@
 !------------------------------------------------------------------------
 !Al1 =============== restart option ==========================
+        iflag_physiq=0
+        call getin('iflag_physiq',iflag_physiq)
+
         if (.not.restart) then
           iflag_pbl = 5
@@ -1065,5 +1069,5 @@
 !---------------------------------------------------------------------
 
-#include "old_1D_interp_cases.h"
+      INCLUDE "old_1D_interp_cases.h"
 
       if (forcing_GCM2SCM) then
@@ -1248,12 +1252,10 @@
 !! Increment state variables
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-print*,'OLDLMDZ1D AANT'
     IF (flag_inhib_forcing == 0) then ! if tendency of forcings should be added
-print*,'OLDLMDZ1D ARES' , forcing_sandu
 
 ! pour les cas sandu et astex, on reclacule u,v,q,temp et teta dans 1D_nudge_sandu_astex.h
 ! au dessus de 700hpa, on relaxe vers les profils initiaux
       if (forcing_sandu .OR. forcing_astex) then
-#include "1D_nudge_sandu_astex.h"
+      INCLUDE "1D_nudge_sandu_astex.h"
       else
         u(1:mxcalc)=u(1:mxcalc) + timestep*(                                &
@@ -1360,3 +1362,3 @@
         END SUBROUTINE old_lmdz1d
 
-#include "old_1DUTILS_read_interp.h"
+        INCLUDE "old_1DUTILS_read_interp.h"
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/replay1d.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/replay1d.F90	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/replay1d.F90	(revision 4727)
@@ -11,5 +11,5 @@
 
       implicit none
-#include "dimensions.h"
+      INCLUDE "dimensions.h"
 
 real :: airefi
@@ -75,5 +75,5 @@
 ! Initialisation de la parametrisation
 !---------------------------------------------------------------------
-call get_ini_module
+call call_ini_replay
 
 !---------------------------------------------------------------------
Index: LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/scm.F90
===================================================================
--- LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/scm.F90	(revision 4482)
+++ LMDZ6/branches/LMDZ_ECRad/libf/phylmd/dyn1d/scm.F90	(revision 4727)
@@ -9,5 +9,5 @@
        ftsol, beta_aridity, pbl_tke, pctsrf, radsol, rain_fall, snow_fall, ratqs, &
        rnebcon, rugoro, sig1, w01, solaire_etat0, sollw, sollwdown, &
-       solsw, solswfdiff, t_ancien, q_ancien, u_ancien, v_ancien, &
+       solsw, solswfdiff, t_ancien, q_ancien, u_ancien, v_ancien, rneb_ancien, &
        wake_delta_pbl_TKE, delta_tsurf, wake_fip, wake_pe, &
        wake_deltaq, wake_deltat, wake_s, wake_dens, &
@@ -43,17 +43,17 @@
 
       implicit none
-#include "dimensions.h"
-#include "YOMCST.h"
-!!#include "control.h"
-#include "clesphys.h"
-#include "dimsoil.h"
-!#include "indicesol.h"
-
-#include "compar1d.h"
-#include "flux_arp.h"
-#include "date_cas.h"
-#include "tsoilnudge.h"
-#include "fcg_gcssold.h"
-#include "compbl.h"
+      INCLUDE "dimensions.h"
+      INCLUDE "YOMCST.h"
+!!      INCLUDE "control.h"
+      INCLUDE "clesphys.h"
+      INCLUDE "dimsoil.h"
+!      INCLUDE "indicesol.h"
+
+      INCLUDE "compar1d.h"
+      INCLUDE "flux_arp.h"
+      INCLUDE "date_cas.h"
+      INCLUDE "tsoilnudge.h"
+      INCLUDE "fcg_gcssold.h"
+      INCLUDE "compbl.h"
 
 !=====================================================================
@@ -129,5 +129,5 @@
 !=====================================================================
 !
-#include "1D_decl_cases.h"
+      INCLUDE "1D_decl_cases.h"
 !
 !---------------------------------------------------------------------
@@ -489,5 +489,5 @@
 !=====================================================================
 
-#include "1D_read_forc_cases.h"
+      INCLUDE "1D_read_forc_cases.h"
    print*,'A d_t_adv ',d_t_adv(1:20)*86400
 
@@ -678,4 +678,5 @@
         u_ancien(1,:)=u(:)
         v_ancien(1,:)=v(:)
+        rneb_ancien(1,:)=0.
  
         u10m=0.
@@ -703,4 +704,7 @@
 !------------------------------------------------------------------------
 !Al1 =============== restart option ======================================
+        iflag_physiq=0
+        call getin('iflag_physiq',iflag_physiq)
+
         if (.not.restart) then
           iflag_pbl = 5
@@ -803,5 +807,5 @@
 !---------------------------------------------------------------------
 
-#include "1D_interp_cases.h"
+      INCLUDE "1D_interp_cases.h"
 
 !---------------------------------------------------------------------
